Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.ling
Class AnnotationLookup

    java.lang.Object
      edu.stanford.nlp.ling.AnnotationLookup

    public class AnnotationLookup

extends Object

Nested Class Summary
`static class` | `AnnotationLookup.KeyLookup`

Method Summary
`static AnnotationLookup.KeyLookup` | `getCoreKey(String oldKey)` Returns a CoreAnnotation class key for the given old-style FeatureLabel key if one exists; null otherwise.
`static Class<?>` | `getValueType(Class<? extends CoreAnnotation> key)` Returns the runtime value type associated with the given key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCoreKey

    public static AnnotationLookup.KeyLookup getCoreKey(String oldKey)

  Returns a CoreAnnotation class key for the given old-style FeatureLabel key if one exists; null otherwise.

### getValueType

    public static Class<?> getValueType(Class<? extends CoreAnnotation> key)

  Returns the runtime value type associated with the given key. Caches results.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group